#視界不良 ActLowVisibility
#足元に設置し上を鬼が通過すると数秒間視界不良にさせる
#盲目
#CT: 30秒 範囲4 秒数5 Age25
#個数は1個まで
execute at @a[team=Escaper,tag=ActLowVisibility,tag=!LowVisibilityAgeTime_Player,scores={useSnowball=1..}] run summon minecraft:item ~ ~ ~ {Age:5400,PickupDelay:32767,Tags:["LowVisibilityAgeTime"],Item:{id:"minecraft:ink_sac",Count:1b}}

#自身にparticleを出す
execute at @a[team=Escaper,tag=ActLowVisibility,tag=!LowVisibilityAgeTime_Player,scores={useSnowball=1..}] run particle dust 0.333 0.333 0.333 1 ~ ~1.5 ~ 1.2 0.5 1.2 0 100 force @a[team=Escaper]

#自身に音を出す
execute at @a[team=Escaper,tag=ActLowVisibility,tag=!LowVisibilityAgeTime_Player,scores={useSnowball=1..}] run playsound minecraft:use_skill record @a[team=Escaper,tag=ActLowVisibility,tag=!LowVisibilityAgeTime_Player,scores={useSnowball=1..}] ~ ~ ~ 0.2 1.0 0.1


#自身にもtag付けする
execute as @a[team=Escaper,tag=ActLowVisibility,tag=!LowVisibilityAgeTime_Player,scores={useSnowball=1..}] run tag @s add LowVisibilityAgeTime_Player







#アイテム周囲にparticleを出す
#execute at @e[tag=LowVisibilityAgeTime] run particle dust 0.667 0.667 0.667 1 ~ ~0.25 ~ 1.40 0 1.40 0 5 force @a[team=Escaper]
#execute at @e[tag=LowVisibilityAgeTime] run particle dust 0.333 0.333 0.333 1 ~ ~0.25 ~ 1.40 0 1.40 0 5 force @a[team=Escaper]

#アイテムの周囲にいる鬼に盲目を与える
execute at @e[tag=LowVisibilityAgeTime] run effect give @a[distance=..4,team=Oni] minecraft:blindness 5 200 true

#アイテムの周囲にいる鬼から音を出す
execute at @e[tag=LowVisibilityAgeTime] run execute at @a[distance=..4,team=Oni] run playsound minecraft:use_skill_set_taken record @a ~ ~ ~ 0.4 1.0 0.0

#掛かったらtagを追加
#tagを持ってる鬼は足跡が見えなくなる
#tagを持ってる鬼は暗視が付かなくなる
execute at @e[tag=LowVisibilityAgeTime] run execute as @a[distance=..4,team=Oni] run tag @s add TrappedOni_LwVsblty

#tagを持ってる鬼の暗視を消す
execute as @a[team=Oni,tag=TrappedOni_LwVsblty] run effect clear @s minecraft:night_vision

#tagを持ってる鬼のスコアを+1する
scoreboard players add @a[team=Oni,tag=TrappedOni_LwVsblty] TrapOni_LVCT 1

#tagを持ってる人にエルダーガーディアンを見せる
execute at @a[team=Oni,tag=TrappedOni_LwVsblty,scores={TrapOni_LVCT=1..70}] run particle elder_guardian ~ ~ ~ 0 0 0 0 2 force @a[team=Oni,tag=TrappedOni_LwVsblty,scores={TrapOni_LVCT=1..70}]

#tagを5秒経つと削除する 100
execute as @a[team=Oni,tag=TrappedOni_LwVsblty,scores={TrapOni_LVCT=100..}] run tag @s remove TrappedOni_LwVsblty

#tagが無いのにスコアが1以上なら0にセット
scoreboard players set @a[team=Oni,tag=!TrappedOni_LwVsblty,scores={TrapOni_LVCT=1..}] TrapOni_LVCT 0

#鬼以外はtagを削除
execute as @a[team=!Oni,tag=TrappedOni_LwVsblty] run tag @s remove TrappedOni_LwVsblty

#鬼以外はスコアを0に
execute as @a[team=!Oni,scores={TrapOni_LVCT=1..}] run scoreboard players set @s TrapOni_LVCT 0


#旧「不屈の精神」を選択した鬼にtagを追加
execute at @e[tag=LowVisibilityAgeTime] run tag @a[distance=..4,team=Oni,tag=PsvIndomitableSpirit] add PsvIndomitableSpirit_Have



#鬼が引っ掛ったらアイテムをキル
execute at @a[team=Oni] run kill @e[distance=..4,tag=LowVisibilityAgeTime]



#逃走者以外なら視界不良のスコアはリセット
execute as @a[team=!Escaper,scores={LowVsbltyPlCT=..599}] run scoreboard players set @s LowVsbltyPlCT 600
#逃走者以外なら視界不良のtagはリセット
execute as @a[team=!Escaper,tag=LowVisibilityAgeTime_Player] run tag @s remove LowVisibilityAgeTime_Player









#LowVisibilityAgeTime_Playerを持ったプレイヤーにカウントする
execute as @a[team=Escaper,tag=ActLowVisibility,tag=LowVisibilityAgeTime_Player] run scoreboard players remove @s LowVsbltyPlCT 1




#CT21~25なら30個コンパスをreplace
replaceitem entity @a[team=Escaper,tag=ActLowVisibility,tag=LowVisibilityAgeTime_Player,scores={LowVsbltyPlCT=401..600}] hotbar.0 minecraft:compass{display:{Name:'{"text":"視界不良CT","color":"dark_gray","bold":true,"italic":false}'}} 30

#CT11~20なら20個コンパスをreplace
replaceitem entity @a[team=Escaper,tag=ActLowVisibility,tag=LowVisibilityAgeTime_Player,scores={LowVsbltyPlCT=201..400}] hotbar.0 minecraft:compass{display:{Name:'{"text":"視界不良CT","color":"dark_gray","bold":true,"italic":false}'}} 20

#CT10
replaceitem entity @a[team=Escaper,tag=ActLowVisibility,tag=LowVisibilityAgeTime_Player,scores={LowVsbltyPlCT=181..200}] hotbar.0 minecraft:compass{display:{Name:'{"text":"視界不良CT","color":"dark_gray","bold":true,"italic":false}'}} 10
#CT9
replaceitem entity @a[team=Escaper,tag=ActLowVisibility,tag=LowVisibilityAgeTime_Player,scores={LowVsbltyPlCT=161..180}] hotbar.0 minecraft:compass{display:{Name:'{"text":"視界不良CT","color":"dark_gray","bold":true,"italic":false}'}} 9
#CT8
replaceitem entity @a[team=Escaper,tag=ActLowVisibility,tag=LowVisibilityAgeTime_Player,scores={LowVsbltyPlCT=141..160}] hotbar.0 minecraft:compass{display:{Name:'{"text":"視界不良CT","color":"dark_gray","bold":true,"italic":false}'}} 8
#CT7
replaceitem entity @a[team=Escaper,tag=ActLowVisibility,tag=LowVisibilityAgeTime_Player,scores={LowVsbltyPlCT=121..140}] hotbar.0 minecraft:compass{display:{Name:'{"text":"視界不良CT","color":"dark_gray","bold":true,"italic":false}'}} 7
#CT6
replaceitem entity @a[team=Escaper,tag=ActLowVisibility,tag=LowVisibilityAgeTime_Player,scores={LowVsbltyPlCT=101..120}] hotbar.0 minecraft:compass{display:{Name:'{"text":"視界不良CT","color":"dark_gray","bold":true,"italic":false}'}} 6
#CT5
replaceitem entity @a[team=Escaper,tag=ActLowVisibility,tag=LowVisibilityAgeTime_Player,scores={LowVsbltyPlCT=81..100}] hotbar.0 minecraft:compass{display:{Name:'{"text":"視界不良CT","color":"dark_gray","bold":true,"italic":false}'}} 5
#CT4
replaceitem entity @a[team=Escaper,tag=ActLowVisibility,tag=LowVisibilityAgeTime_Player,scores={LowVsbltyPlCT=61..80}] hotbar.0 minecraft:compass{display:{Name:'{"text":"視界不良CT","color":"dark_gray","bold":true,"italic":false}'}} 4
#CT3
replaceitem entity @a[team=Escaper,tag=ActLowVisibility,tag=LowVisibilityAgeTime_Player,scores={LowVsbltyPlCT=41..60}] hotbar.0 minecraft:compass{display:{Name:'{"text":"視界不良CT","color":"dark_gray","bold":true,"italic":false}'}} 3
#CT2
replaceitem entity @a[team=Escaper,tag=ActLowVisibility,tag=LowVisibilityAgeTime_Player,scores={LowVsbltyPlCT=21..40}] hotbar.0 minecraft:compass{display:{Name:'{"text":"視界不良CT","color":"dark_gray","bold":true,"italic":false}'}} 2
#CT1
replaceitem entity @a[team=Escaper,tag=ActLowVisibility,tag=LowVisibilityAgeTime_Player,scores={LowVsbltyPlCT=1..20}] hotbar.0 minecraft:compass{display:{Name:'{"text":"視界不良CT","color":"dark_gray","bold":true,"italic":false}'}} 1
#CT0
replaceitem entity @a[team=Escaper,tag=ActLowVisibility,tag=LowVisibilityAgeTime_Player,scores={LowVsbltyPlCT=0}] hotbar.0 minecraft:snowball{display:{Name:'{"text":"視界不良","color":"dark_gray","bold":true,"italic":false}',Lore:['{"text":"CT: 30秒","color":"blue","bold":true,"italic":false}','{"text":" "}','{"text":"足元に設置し上を","color":"gray","italic":false}','{"text":"鬼が通過すると","color":"gray","italic":false}','{"text":"数秒間視界不良にさせる","color":"gray","italic":false}']}} 1





#30秒でアイテムを消えるカウントを自分にも行い時間になればパーティクルを出す
execute at @a[team=Escaper,tag=ActLowVisibility,tag=LowVisibilityAgeTime_Player,scores={LowVsbltyPlCT=..1}] run particle dust 0.333 0.333 0.333 1 ~ ~1.5 ~ 1.2 0.5 1.2 0 100 force @a[team=Escaper]

#30秒でアイテムを消えるカウントを自分にも行い時間になればリロード音を流す
execute at @a[team=Escaper,tag=ActLowVisibility,tag=LowVisibilityAgeTime_Player,scores={LowVsbltyPlCT=..0}] run playsound minecraft:use_skill_reset record @a[team=Escaper,tag=ActLowVisibility,tag=LowVisibilityAgeTime_Player,scores={LowVsbltyPlCT=..0}] ~ ~ ~ 0.4 1.0 0.0

#30秒でアイテムを消えるカウントを自分にも行い時間になればtagを削除
execute as @a[team=Escaper,tag=ActLowVisibility,tag=LowVisibilityAgeTime_Player,scores={LowVsbltyPlCT=..0}] run tag @s remove LowVisibilityAgeTime_Player

#30秒でアイテムを消えるカウントを自分にも行い時間になればスコアをリセット
execute as @a[team=Escaper,tag=ActLowVisibility,tag=!LowVisibilityAgeTime_Player,scores={LowVsbltyPlCT=..0}] run scoreboard players set @s LowVsbltyPlCT 600



#アイテムを使用したら少し経ってから戻すカウント発動
#scoreboard players add @a[team=Escaper,tag=ActLowVisibility,scores={useSnowball=1..,GiveSnowballTime=0..10}] GiveSnowballTime 1

#アイテムを戻す
#give @a[team=Escaper,tag=ActLowVisibility,scores={useSnowball=1..0..}] minecraft:snowball{display:{Name:'{"text":"視界不良","color":"dark_gray","bold":true,"italic":false}',Lore:['{"text":"消費MP: 35","color":"blue","italic":false}','{"text":" "}','{"text":"足元に設置し上を","color":"gray","italic":false}','{"text":"鬼が通過すると","color":"gray","italic":false}','{"text":"数秒間視界不良にさせる","color":"gray","italic":false}','{"text":"※クールタイム２０秒","color":"gray","italic":false}']}} 1



#アイテム使用を0に
scoreboard players set @a[team=Escaper,tag=ActLowVisibility,scores={useSnowball=1..}] useSnowball 0

#アイテム使用カウントを0に
#scoreboard players set @a[team=Escaper,tag=ActLowVisibility,scores={GiveSnowballTime=10..}] GiveSnowballTime 0





