#ワームホール AddOnWormhole
#罠を設置し一定距離、離れるとその罠に
#ランダムで選ばれた逃走者を1人ワープさせる
#CT: 50秒 距離:16ブロック

#鬼の足元にアイテムをsummonする
execute at @a[team=Oni,tag=AddOnWormhole,tag=!usedWrmhl,scores={useEgg=1..,usedWrmhlCT=1000}] run summon minecraft:item ~ ~ ~ {Age:4000,PickupDelay:32767,Tags:["WormholeAgeTime"],Item:{id:"minecraft:end_stone",Count:1b}}

#鬼が一定距離離れたらtagを付与
#execute at @a[team=Oni,tag=AddOnWormhole,tag=usedWrmhl,tag=!Wrmhl_EscTp,scores={usedWrmhlCT=1..999}] run execute if entity @e[type=item,nbt={Item:{id:"minecraft:end_stone"}},limit=1,distance=16..] run tag @a[team=Oni,tag=AddOnWormhole,tag=usedWrmhl,tag=!Wrmhl_EscTp,scores={usedWrmhlCT=1..999}] add Wrmhl_EscTp

execute at @e[type=item,nbt={Item:{id:"minecraft:end_stone"}},limit=1] run tag @a[team=Oni,tag=AddOnWormhole,tag=usedWrmhl,tag=!Wrmhl_EscTp,scores={usedWrmhlCT=1..999},distance=16..,limit=1] add Wrmhl_EscTp


#鬼がWrmhl_EscTpを持ってたらランダムで１人逃走者をtpさせる
execute if entity @a[team=Oni,tag=Wrmhl_EscTp] run tp @r[team=Escaper,limit=1] @e[type=item,nbt={Item:{id:"minecraft:end_stone"}},limit=1]

#鬼がWrmhl_EscTpを持ってたら自身にparticleを出す
execute at @a[team=Oni,tag=Wrmhl_EscTp] run particle dust 0.333 0.333 0.333 1 ~ ~1.5 ~ 1.2 0.5 1.2 0 100 force @a[team=Oni]


#鬼がWrmhl_EscTpを持ってたら鬼に通知させ
#「ワームホールに引っ掛かった！」と
execute as @a[team=Oni,tag=Wrmhl_EscTp] run tellraw @s ["",{"text":"\u30ef\u30fc\u30e0\u30db\u30fc\u30eb","bold":true,"color":"gray"},{"text":"\u306b\u5f15\u3063\u639b\u304b\u3063\u305f\uff01","bold":true,"color":"light_purple"}]

#鬼がWrmhl_EscTpを持ちアイテムの周囲に逃走者がいれば音を出す
execute if entity @a[team=Oni,tag=Wrmhl_EscTp] run execute at @e[type=item,nbt={Item:{id:"minecraft:end_stone"}},limit=1] run execute at @a[distance=..2,team=Escaper] run playsound minecraft:use_skill_set_taken record @a ~ ~ ~ 0.4 1.0 0.4

#鬼がWrmhl_EscTpを持ち逃走者が居なければ音を出す
execute if entity @a[team=Oni,tag=Wrmhl_EscTp] run execute unless entity @a[team=Escaper] run playsound minecraft:use_skill_set_taken record @a ~ ~ ~ 0.4 1.0 0.4


#鬼がWrmhl_EscTpを持ち罠の近くに逃走者が居れば罠をkill
execute if entity @a[team=Oni,tag=Wrmhl_EscTp] run execute at @e[type=item,nbt={Item:{id:"minecraft:end_stone"}},limit=1] run execute if entity @a[team=Escaper,distance=..2] run kill @e[type=item,nbt={Item:{id:"minecraft:end_stone"}},limit=1]

#鬼がWrmhl_EscTpを持ち逃走者が居なければ罠をkill
execute if entity @a[team=Oni,tag=Wrmhl_EscTp] run execute unless entity @a[team=Escaper] run kill @e[type=item,nbt={Item:{id:"minecraft:end_stone"}}]


#鬼がWrmhl_EscTpを持ち罠が無くなるとtagを削除
execute unless entity @e[type=item,nbt={Item:{id:"minecraft:end_stone"}}] run tag @a[team=Oni,tag=Wrmhl_EscTp] remove Wrmhl_EscTp


#自身にparticleを出す
execute at @a[team=Oni,tag=AddOnWormhole,tag=!usedWrmhl,scores={useEgg=1..,usedWrmhlCT=1000}] run particle dust 0.333 0.333 0.333 1 ~ ~1.5 ~ 1.2 0.5 1.2 0 100 force @a[team=Oni]

#自身に音を出す
execute at @a[team=Oni,tag=AddOnWormhole,tag=!usedWrmhl,scores={useEgg=1..,usedWrmhlCT=1000}] run playsound minecraft:use_skill record @a[team=Oni,tag=AddOnWormhole,tag=!usedWrmhl,scores={useEgg=1..,usedWrmhlCT=1000}] ~ ~ ~ 0.2 1.0 0.1

#自身にtagを追加
execute as @a[team=Oni,tag=AddOnWormhole,tag=!usedWrmhl,scores={useEgg=1..,usedWrmhlCT=1000}] run tag @s add usedWrmhl




#CT41-50 
replaceitem entity @a[team=Oni,tag=AddOnWormhole,tag=usedWrmhl,scores={usedWrmhlCT=801..1000}] hotbar.3 minecraft:compass{display:{Name:'{"text":"ワームホールCT","color":"dark_gray","bold":true,"italic":false}'}} 50

#CT31-40 
replaceitem entity @a[team=Oni,tag=AddOnWormhole,tag=usedWrmhl,scores={usedWrmhlCT=601..800}] hotbar.3 minecraft:compass{display:{Name:'{"text":"ワームホールCT","color":"dark_gray","bold":true,"italic":false}'}} 40

#CT21-30 
replaceitem entity @a[team=Oni,tag=AddOnWormhole,tag=usedWrmhl,scores={usedWrmhlCT=401..600}] hotbar.3 minecraft:compass{display:{Name:'{"text":"ワームホールCT","color":"dark_gray","bold":true,"italic":false}'}} 30

#CT11-20
replaceitem entity @a[team=Oni,tag=AddOnWormhole,tag=usedWrmhl,scores={usedWrmhlCT=201..400}] hotbar.3 minecraft:compass{display:{Name:'{"text":"ワームホールCT","color":"dark_gray","bold":true,"italic":false}'}} 20

#CT10
replaceitem entity @a[team=Oni,tag=AddOnWormhole,tag=usedWrmhl,scores={usedWrmhlCT=181..200}] hotbar.3 minecraft:compass{display:{Name:'{"text":"ワームホールCT","color":"dark_gray","bold":true,"italic":false}'}} 10
#CT9
replaceitem entity @a[team=Oni,tag=AddOnWormhole,tag=usedWrmhl,scores={usedWrmhlCT=161..180}] hotbar.3 minecraft:compass{display:{Name:'{"text":"ワームホールCT","color":"dark_gray","bold":true,"italic":false}'}} 9
#CT8
replaceitem entity @a[team=Oni,tag=AddOnWormhole,tag=usedWrmhl,scores={usedWrmhlCT=141..160}] hotbar.3 minecraft:compass{display:{Name:'{"text":"ワームホールCT","color":"dark_gray","bold":true,"italic":false}'}} 8
#CT7
replaceitem entity @a[team=Oni,tag=AddOnWormhole,tag=usedWrmhl,scores={usedWrmhlCT=121..140}] hotbar.3 minecraft:compass{display:{Name:'{"text":"ワームホールCT","color":"dark_gray","bold":true,"italic":false}'}} 7
#CT6
replaceitem entity @a[team=Oni,tag=AddOnWormhole,tag=usedWrmhl,scores={usedWrmhlCT=101..120}] hotbar.3 minecraft:compass{display:{Name:'{"text":"ワームホールCT","color":"dark_gray","bold":true,"italic":false}'}} 6
#CT5
replaceitem entity @a[team=Oni,tag=AddOnWormhole,tag=usedWrmhl,scores={usedWrmhlCT=81..100}] hotbar.3 minecraft:compass{display:{Name:'{"text":"ワームホールCT","color":"dark_gray","bold":true,"italic":false}'}} 5
#CT4
replaceitem entity @a[team=Oni,tag=AddOnWormhole,tag=usedWrmhl,scores={usedWrmhlCT=61..80}] hotbar.3 minecraft:compass{display:{Name:'{"text":"ワームホールCT","color":"dark_gray","bold":true,"italic":false}'}} 4
#CT3
replaceitem entity @a[team=Oni,tag=AddOnWormhole,tag=usedWrmhl,scores={usedWrmhlCT=41..60}] hotbar.3 minecraft:compass{display:{Name:'{"text":"ワームホールCT","color":"dark_gray","bold":true,"italic":false}'}} 3
#CT2
replaceitem entity @a[team=Oni,tag=AddOnWormhole,tag=usedWrmhl,scores={usedWrmhlCT=21..40}] hotbar.3 minecraft:compass{display:{Name:'{"text":"ワームホールCT","color":"dark_gray","bold":true,"italic":false}'}} 2
#CT1
replaceitem entity @a[team=Oni,tag=AddOnWormhole,tag=usedWrmhl,scores={usedWrmhlCT=1..20}] hotbar.3 minecraft:compass{display:{Name:'{"text":"ワームホールCT","color":"dark_gray","bold":true,"italic":false}'}} 1


#CT0
#アイテムを戻す
replaceitem entity @a[team=Oni,tag=AddOnWormhole,tag=usedWrmhl,scores={usedWrmhlCT=..0}] hotbar.3 minecraft:egg{display:{Name:'{"text":"ワームホール","color":"dark_gray","bold":true,"italic":false}',Lore:['{"text":"エクストラスキル","color":"white","bold":true,"italic":false}','{"text":"CT: 50秒","color":"blue","bold":true,"italic":false}','{"text":" "}','{"text":"罠を設置し一定距離","color":"gray","italic":false}','{"text":"離れるとその罠に","color":"gray","italic":false}','{"text":"ランダムで選ばれた","color":"gray","italic":false}','{"text":"逃走者を1人ワープさせる","color":"gray","italic":false}']}} 1

#自身にparticleを出す
execute at @a[team=Oni,tag=AddOnWormhole,tag=usedWrmhl,scores={usedWrmhlCT=..0}] run particle dust 0.333 0.333 0.333 1 ~ ~1.5 ~ 1.2 0.5 1.2 0 100 force @a[team=Oni]

#自身に音を出す
execute at @a[team=Oni,tag=AddOnWormhole,tag=usedWrmhl,scores={usedWrmhlCT=..0}] run playsound minecraft:use_skill_reset record @a[team=Oni,tag=AddOnWormhole,tag=usedWrmhl,scores={usedWrmhlCT=..0}] ~ ~ ~ 0.4 1.0 0.0

#tagを削除
execute as @a[team=Oni,tag=AddOnWormhole,tag=usedWrmhl,scores={usedWrmhlCT=..0}] run tag @s remove usedWrmhl
#アイテム使用カウントをリセット
scoreboard players set @a[team=Oni,tag=AddOnWormhole,tag=!usedWrmhl,scores={usedWrmhlCT=..0}] usedWrmhlCT 1000


#CTカウントを発動
scoreboard players remove @a[team=Oni,tag=AddOnWormhole,tag=usedWrmhl] usedWrmhlCT 1
#アイテム使用を0に
scoreboard players set @a[team=Oni,tag=AddOnWormhole,scores={useEgg=1..}] useEgg 0



#鬼以外ならtagを削除
execute as @a[team=!Oni,tag=AddOnWormhole,tag=usedWrmhl] run tag @s remove usedWrmhl
#鬼以外ならCTを0に
execute as @a[team=!Oni,tag=AddOnWormhole,scores={usedWrmhlCT=..999}] run scoreboard players set @s usedWrmhlCT 1000

#鬼以外ならWrmhl_EscTpを削除
execute as @a[team=!Oni,tag=AddOnWormhole,tag=Wrmhl_EscTp] run tag @s remove Wrmhl_EscTp




