#ゲーム中残り時間を計算し表示する

#ゲーム時間のGameCT1tick_Timer GameCTから時間を代入
#分数を代入
scoreboard players operation GameCT1tick_Timer_Min GameCT = GameCT1tick_Timer GameCT
#秒数を代入
scoreboard players operation GameCT1tick_Timer_Sec GameCT = GameCT1tick_Timer GameCT

#分数を1200で割り時間を割り出す
scoreboard players operation GameCT1tick_Timer_Min GameCT /= Divide1minute dummy

#秒数を1200で割り余りを割り出す
scoreboard players operation GameCT1tick_Timer_Sec GameCT %= Divide1minute dummy
#bossbarの為に秒数のスコアに20を追加
scoreboard players add GameCT1tick_Timer_Sec GameCT 20
#余りの秒数を20で割り時間を割り出す
scoreboard players operation GameCT1tick_Timer_Sec GameCT /= Divide1second dummy

#もし秒数が60なら秒数を0にして分数に+1する
execute if score GameCT1tick_Timer_Sec GameCT matches 60 run scoreboard players add GameCT1tick_Timer_Min GameCT 1

execute if score GameCT1tick_Timer_Sec GameCT matches 60 run scoreboard players set GameCT1tick_Timer_Sec GameCT 0



#残り時間をbossbarの表示に適応
#秒数が二桁なら
execute if score GameCT1tick_Timer_Sec GameCT matches 10..59 run bossbar set game_ct_1tick name [{"text":"残り時間:","color":"light_purple","bold":true,"italic":false},{"text":" "},{"score":{"name":"GameCT1tick_Timer_Min","objective":"GameCT"},"color":"light_purple","bold":true,"italic":false},{"text":"分","color":"light_purple","bold":true,"italic":false},{"text":" "},{"score":{"name":"GameCT1tick_Timer_Sec","objective":"GameCT"},"color":"light_purple","bold":true,"italic":false},{"text":"秒","color":"light_purple","bold":true,"italic":false}]
#秒数が一桁なら
execute if score GameCT1tick_Timer_Sec GameCT matches 0..9 run bossbar set game_ct_1tick name [{"text":"残り時間:","color":"light_purple","bold":true,"italic":false},{"text":" "},{"score":{"name":"GameCT1tick_Timer_Min","objective":"GameCT"},"color":"light_purple","bold":true,"italic":false},{"text":"分","color":"light_purple","bold":true,"italic":false},{"text":" "},{"text":"0","color":"light_purple","bold":true,"italic":false},{"score":{"name":"GameCT1tick_Timer_Sec","objective":"GameCT"},"color":"light_purple","bold":true,"italic":false},{"text":"秒","color":"light_purple","bold":true,"italic":false}]

#残り時間の現在値を格納
execute store result bossbar game_ct_1tick value run scoreboard players get GameCT1tick_Timer GameCT

