#ゲームボタンを押すと一回のみのファンクション(game_begin_only_once)起動
#ステージ内1tickカウント 最初のカウントと鬼選出後からスタートさせる
#scoreboard players set GameCT1tick GameCT 0

#参加投票ボタンを無くす
setblock -186 50 180 minecraft:air replace
#参加投票キャンセルボタンを無くす
setblock -179 50 173 minecraft:air replace

#ショップボタンを消す
setblock -205 50 161 minecraft:air replace

#観戦ボタンをsetblockする
setblock -179 50 167 minecraft:stone_button[facing=west] replace


#参加投票を作動させる
function play_tag:stage/join_vote


#ゲーム内1tickのスコアをゲーム内1tick_Timerに貼り付け
scoreboard players operation GameCT1tick_Timer GameCT = GameCT1tick GameCT


#ステージ内1秒カウントをリセット 最初のカウントと鬼選出後からスタートさせる
scoreboard players set GameCT1seconds GameCT 0

#ゲーム終了時のスコアを0に
scoreboard players set GameEndCT1tick GameCT 0


#残り時間のボスバーを設置
bossbar add game_ct_1tick {"text":"残り時間","color":"light_purple","bold":true}

#ボスバーの色を設定
bossbar set game_ct_1tick color pink

#ボスバーのスタイルを変更
bossbar set game_ct_1tick style progress

#残り時間の最大値を格納
execute store result bossbar game_ct_1tick max run scoreboard players get GameCT1tick GameCT

#残り時間の現在値を格納
execute store result bossbar game_ct_1tick value run scoreboard players get GameCT1tick GameCT

#プレイヤーにボスバーを表示
bossbar set game_ct_1tick players @a


#暗視をクリア
effect clear @a minecraft:night_vision
#ゲーム開始時にHPを全回復させる
effect give @a minecraft:instant_health 20 200 true
#ゲーム開始時に満腹度回復
effect give @a minecraft:saturation 20 200 true



#「逃走者スタート」とタイトルを出す
title @a times 5 50 5
title @a title {"text":"\u9003\u8d70\u8005\u30b9\u30bf\u30fc\u30c8","bold":true,"color":"green"}
tellraw @a {"text":"\u9003\u8d70\u8005\u30b9\u30bf\u30fc\u30c8","bold":true,"color":"green"}

#鬼がスタートするまでのタイマースコアを300にセット
scoreboard players set OniStartGameTimer Timer 601

#鬼になった状態のスコアを0にセット
scoreboard players set @a OniCndtnCT 0

#JoinPlayerのgamemodeをadventureに
gamemode adventure @a[team=JoinPlayer]

#「ゲーム開始」
tellraw @a {"text":"\u30b2\u30fc\u30e0\u958b\u59cb","bold":true,"color":"light_purple"}

#JoinPlayerを逃走者に
team join Escaper @a[team=JoinPlayer]




#前回鬼だったTagのWasOniBecomeを削除
tag @a[tag=WasOniBecome] remove WasOniBecome

#3回鬼になると…アドオンアイテムのスコアをリセット
scoreboard players set @a 3TimeOniBecome 0











#ステージ選択へのボタン消失
setblock -192 50 180 minecraft:air replace



#ステージがプレイされると１～３回つまりランダムから除外して他のマップをプレイさせる為
scoreboard players add @e[type=armor_stand,scores={randomStageCT=1..4},tag=randomStage] randomStageCT 1

#ステージがプレイされると４回分はランダムの中から除外される
scoreboard players set @e[type=armor_stand,scores={randomStageCT=5},tag=randomStage] randomStageCT 0



#ステージ選択を用いて一回のみ起動
execute if score StageSelect dummy matches 1 run function play_tag:stage/hospital/stage_hospital_only_once
execute if score StageSelect dummy matches 2 run function play_tag:stage/motel/stage_motel_only_once
execute if score StageSelect dummy matches 3 run function play_tag:stage/apartment/stage_apartment_only_once
execute if score StageSelect dummy matches 4 run function play_tag:stage/spa_town/stage_spa_town_only_once
execute if score StageSelect dummy matches 5 run function play_tag:stage/home_center/stage_home_center_only_once
execute if score StageSelect dummy matches 6 run function play_tag:stage/residential_area/stage_residential_area_only_once
execute if score StageSelect dummy matches 7 run function play_tag:stage/campsite/stage_campsite_only_once


#
#say game_begin_only_once

