#報酬計算

#StillRewardのtagを追加します
tag @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=!StillReward,limit=1] add StillReward

#鬼状態リワードに鬼状態カウントをコピー
scoreboard players operation @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,limit=1] OniCndCT_Rwrd1 = @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,limit=1] OniCndtnCT

#鬼状態リワードを１０倍にする
scoreboard players operation @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,limit=1] OniCndCT_Rwrd1 *= Multiply10 dummy

#鬼状態カウントをゲーム時間で小数点１を出す
scoreboard players operation @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,limit=1] OniCndCT_Rwrd1 /= GameCT1tick GameCT

#小数点１を１０倍する
scoreboard players operation @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,limit=1] OniCndCT_Rwrd1 *= Multiply10 dummy




#鬼状態リワードに鬼状態カウントをコピー
scoreboard players operation @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,limit=1] OniCndCT_Rwrd2 = @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,limit=1] OniCndtnCT

#鬼状態リワードを１０倍にする
scoreboard players operation @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,limit=1] OniCndCT_Rwrd2 *= Multiply10 dummy

#鬼状態カウントをゲーム時間で割り余りを出す
scoreboard players operation @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,limit=1] OniCndCT_Rwrd2 %= GameCT1tick GameCT

#鬼状態リワードを１０倍にする
scoreboard players operation @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,limit=1] OniCndCT_Rwrd2 *= Multiply10 dummy

#鬼状態カウントをゲーム時間の余りから小数点２を出す
scoreboard players operation @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,limit=1] OniCndCT_Rwrd2 /= GameCT1tick GameCT

#10倍した小数点１と小数点２を足す
scoreboard players operation @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,limit=1] OniCndCT_Rwrd1 += @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,limit=1] OniCndCT_Rwrd2

#OniCndCT_Rwrd0を100にセット
scoreboard players set @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,limit=1] OniCndCT_Rwrd0 100

#100-OniCndCT_Rwrd1を行う
scoreboard players operation @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,limit=1] OniCndCT_Rwrd0 -= @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,limit=1] OniCndCT_Rwrd1







#OniCndCT_Rwrd0分RewardTotalに加算
#１ゲームの鬼から逃げた分の報酬
scoreboard players operation @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,limit=1] RewardTotal = @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,limit=1] OniCndCT_Rwrd0

#１ゲームの参加報酬分
#JoinPlayerの人数をカウントしスコアに
execute store result score JoinPlayerCT MemberCT if entity @a[team=JoinPlayer]

#参加人数2人以下
execute if score JoinPlayerCT MemberCT matches ..2 run scoreboard players add @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,limit=1] RewardTotal 50

#3人
execute if score JoinPlayerCT MemberCT matches 3 run scoreboard players add @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,limit=1] RewardTotal 33

#4人
execute if score JoinPlayerCT MemberCT matches 4 run scoreboard players add @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,limit=1] RewardTotal 25

#5人
execute if score JoinPlayerCT MemberCT matches 5 run scoreboard players add @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,limit=1] RewardTotal 20

#1rankならRewardTotalに+30を加算
scoreboard players add @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,tag=1rank,limit=1] RewardTotal 30



#アドオンアイテムにより報酬をupする
#10%UP
scoreboard players operation @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,tag=AddOn10UP,limit=1] RewardTotal *= 10PercentUP Reward

#25%UP
scoreboard players operation @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,tag=AddOn25UP,limit=1] RewardTotal *= 25PercentUP Reward

#50%UP
scoreboard players operation @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,tag=AddOn50UP,limit=1] RewardTotal *= 50PercentUP Reward

#75%UP
scoreboard players operation @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,tag=AddOn75UP,limit=1] RewardTotal *= 75PercentUP Reward

#100%UP
scoreboard players operation @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,tag=AddOn100UP,limit=1] RewardTotal *= 100PercentUP Reward

#割る100を行い小数点を無効化
scoreboard players operation @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,tag=AddOn10UP,limit=1] RewardTotal /= Divide100 Reward
scoreboard players operation @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,tag=AddOn25UP,limit=1] RewardTotal /= Divide100 Reward
scoreboard players operation @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,tag=AddOn50UP,limit=1] RewardTotal /= Divide100 Reward
scoreboard players operation @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,tag=AddOn75UP,limit=1] RewardTotal /= Divide100 Reward
scoreboard players operation @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,tag=AddOn100UP,limit=1] RewardTotal /= Divide100 Reward




#RewardTotalをGPに代入
scoreboard players operation @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,limit=1] GP += @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,limit=1] RewardTotal



#報酬が配られました
#tellraw @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,limit=1] {"text":"\u5831\u916c\u304c\u914d\u3089\u308c\u307e\u3057\u305f","bold":true,"color":"light_purple"}

#いくら報酬が支払われたか「～ptが追加されました(現在～pt)」
tellraw @a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward] ["",{"text":"GP: ","bold":true,"color":"light_purple"},{"score":{"name":"@a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,limit=1]","objective":"RewardTotal"},"bold":true,"color":"green"},{"text":"pt","bold":true,"color":"green"},{"text":"\u304c\u8ffd\u52a0\u3055\u308c\u307e\u3057\u305f","bold":true,"color":"light_purple"},{"text":" \uff08\u73fe\u5728","bold":true,"color":"gray"},{"score":{"name":"@a[scores={OniCndtnCT=1..},team=JoinPlayer,tag=StillReward,limit=1]","objective":"GP"},"bold":true,"color":"green"},{"text":"pt","bold":true,"color":"green"},{"text":"\uff09","bold":true,"color":"gray"}]

#鬼状態カウントを０にセット
scoreboard players set @a[tag=StillReward,scores={OniCndtnCT=1..}] OniCndtnCT 0

#JoinPlayerでStillRewardのtagが付いてるプレイヤーがいるならファンクション起動
execute if entity @a[team=JoinPlayer,tag=!StillReward] run function play_tag:stage/reward



