#逃走者になると
#逃走者になったらスコアを与え一度のみ起動させる
scoreboard players add @a[team=Escaper,scores={EscBecome=..1}] EscBecome 1

#逃走者以外になったらスコアを０に
scoreboard players set @a[team=!Escaper,scores={EscBecome=1..}] EscBecome 0


#逃走者になったら鬼になるスコアを0に
scoreboard players set @a[team=Escaper,scores={OniBecome=1..}] OniBecome 0

#雪玉をclear
clear @a[team=Escaper,scores={EscBecome=1}] minecraft:snowball
#エンパをclear
clear @a[team=Escaper,scores={EscBecome=1}] minecraft:ender_pearl
#ニンジン釣り竿をclear
clear @a[team=Escaper,scores={EscBecome=1}] minecraft:carrot_on_a_stick
#コンパスをclear
clear @a[team=Escaper,scores={EscBecome=1}] minecraft:compass


#チェーンメール装備をclear
clear @a[team=Escaper,scores={EscBecome=1}] minecraft:diamond_helmet
clear @a[team=Escaper,scores={EscBecome=1}] minecraft:diamond_chestplate
clear @a[team=Escaper,scores={EscBecome=1}] minecraft:diamond_leggings
clear @a[team=Escaper,scores={EscBecome=1}] minecraft:diamond_boots

#MPを100にする
#execute as @a[team=Escaper,scores={EscBecome=1}] run scoreboard players set @s MP 100

#発光を消す
execute as @a[team=Escaper,scores={EscBecome=1}] run effect clear @s minecraft:glowing
#移動速度低下を消す
execute as @a[team=Escaper,scores={EscBecome=1}] run effect clear @s minecraft:slowness
#跳躍を消す
execute as @a[team=Escaper,scores={EscBecome=1}] run effect clear @s minecraft:jump_boost
#盲目を消す
execute as @a[team=Escaper,scores={EscBecome=1}] run effect clear @s minecraft:blindness
#弱体化を消す
execute as @a[team=Escaper,scores={EscBecome=1}] run effect clear @s minecraft:weakness



#逃走者になったらBGMを流す
playsound minecraft:escbecome record @a[team=Escaper,scores={EscBecome=1}] ~ ~ ~ 0.7 1.0 0.7

#逃走者になったらしばらく逃げてもらう為、移動速度上昇をさせる
execute as @a[team=Escaper,scores={EscBecome=1}] run effect give @s minecraft:speed 10 2 true

#逃走者か鬼になったらtagを付けて逃走者か鬼になったかを判定させる
#アドオンアイテムを付けたかどうかの判定に使用
execute as @a[team=Escaper,scores={EscBecome=1}] run tag @s add EscOniBecome




#逃走者になりました
title @a[team=Escaper,scores={EscBecome=1}] times 10 60 10
title @a[team=Escaper,scores={EscBecome=1}] title {"text":"逃走者になりました","color":"green","bold":true}


#tagに合わせて雪玉をgive
#足止め ActStrand
execute as @a[team=Escaper,tag=ActStrand,scores={EscBecome=1}] run replaceitem entity @s hotbar.0 minecraft:snowball{display:{Name:'{"text":"足止め","color":"light_purple","bold":true,"italic":false}',Lore:['{"text":"CT: 24秒","color":"blue","bold":true,"italic":false}','{"text":" "}','{"text":"足元に設置し上を","color":"gray","italic":false}','{"text":"鬼が通過すると","color":"gray","italic":false}','{"text":"数秒間足止めさせる","color":"gray","italic":false}']}} 1


#視界不良 ActLowVisibility
execute as @a[team=Escaper,tag=ActLowVisibility,scores={EscBecome=1}] run replaceitem entity @s hotbar.0 minecraft:snowball{display:{Name:'{"text":"視界不良","color":"dark_gray","bold":true,"italic":false}',Lore:['{"text":"CT: 30秒","color":"blue","bold":true,"italic":false}','{"text":" "}','{"text":"足元に設置し上を","color":"gray","italic":false}','{"text":"鬼が通過すると","color":"gray","italic":false}','{"text":"数秒間視界不良にさせる","color":"gray","italic":false}']}} 1


#tagに合わせてエンパをgive
#スプリンター ActSprinter
execute as @a[team=Escaper,tag=ActSprinter,scores={EscBecome=1}] run replaceitem entity @s hotbar.1 minecraft:ender_pearl{display:{Name:'{"text":"スプリンター","color":"aqua","bold":true,"italic":false}',Lore:['{"text":"CT: 32秒","color":"blue","bold":true,"italic":false}','{"text":" "}','{"text":"数秒間、足が速くなる","color":"gray","italic":false}']}} 1

#透明化 ActTransparent
execute as @a[team=Escaper,tag=ActTransparent,scores={EscBecome=1}] run replaceitem entity @s hotbar.1 minecraft:ender_pearl{display:{Name:'{"text":"透明化","color":"green","bold":true,"italic":false}',Lore:['{"text":"CT: 32秒","color":"blue","bold":true,"italic":false}','{"text":" "}','{"text":"数秒間、透明になれる","color":"gray","italic":false}']}} 1

#tagに合わせてニンジン釣り竿をgive
#ライトアップ ActLightUp
execute as @a[team=Escaper,tag=ActLightUp,scores={EscBecome=1}] run replaceitem entity @s hotbar.2 minecraft:carrot_on_a_stick{display:{Name:'{"text":"ライトアップ","color":"yellow","bold":true,"italic":false}',Lore:['{"text":"CT: 30秒","color":"blue","bold":true,"italic":false}','{"text":" "}','{"text":"範囲内の鬼を発光させる","color":"gray","italic":false}','{"text":"そして自身に","color":"gray","italic":false}','{"text":"数秒間暗視を付ける","color":"gray","italic":false}']}} 1


#絶対耐性 ActResistance
execute as @a[team=Escaper,tag=ActResistance,scores={EscBecome=1}] run replaceitem entity @s hotbar.2 minecraft:carrot_on_a_stick{display:{Name:'{"text":"絶対耐性","color":"gold","bold":true,"italic":false}',Lore:['{"text":"CT: 50秒","color":"blue","bold":true,"italic":false}','{"text":" "}','{"text":"タッチされても鬼に","color":"gray","italic":false}','{"text":"ならない猶予時間を得る","color":"gray","italic":false}','{"text":"効果中にタッチされると","color":"gray","italic":false}','{"text":"満腹度が全回復し","color":"gray","italic":false}','{"text":"鬼は数秒間移動不可と","color":"gray","italic":false}','{"text":"視界不良になる","color":"gray","italic":false}']}} 1



#逃走者になった瞬間にsayと
#execute if entity @a[team=Escaper,scores={EscBecome=1}] run say EscBecome


