#ゲームを退室時に起動

#逃走者の人はPlayerに
execute as @a[scores={LeaveGameCT=1..},team=Escaper] run team join Player @s
#鬼の人はPlayerに
execute as @a[scores={LeaveGameCT=1..},team=Oni] run team join Player @s
#JoinPlayerの人はPlayerに
execute as @a[scores={LeaveGameCT=1..},team=JoinPlayer] run team join Player @s
#観戦者の人はPlayerに Spectator
execute as @a[scores={LeaveGameCT=1..},team=Spectator] run team join Player @s

#参加投票のtagを消す
execute as @a[scores={LeaveGameCT=1..}] run tag @s remove JoinPlayer_Vote

#透明化or足跡のtagを削除
execute as @a[scores={LeaveGameCT=1..},tag=TransparentTime_Player] run tag @s remove TransparentTime_Player

#前回鬼だったTagのWasOniBecomeを削除
tag @a[tag=WasOniBecome] remove WasOniBecome

#3回鬼になると…アドオンアイテムのスコアをリセット
scoreboard players set @a 3TimeOniBecome 0


#S1,S2,S3,S4,S5のtagを削除
#スコアSortを0に(1..4)
scoreboard players set @a[scores={LeaveGameCT=1..,Sort=1..}] Sort 0
#スコアEscSortを0に
scoreboard players set @a[scores={LeaveGameCT=1..,EscSort=1..}] EscSort 0

#ロビー音楽のスコアが1以上なら
scoreboard players set @a[scores={LeaveGameCT=1..,LobbyMusic=1..}] LobbyMusic 0



#1rank,5rankのtagを削除
execute as @a[scores={LeaveGameCT=1..}] run tag @s remove 1rank
execute as @a[scores={LeaveGameCT=1..}] run tag @s remove 5rank

#tagのStillRewardを削除
tag @a[scores={LeaveGameCT=1..},tag=StillReward] remove StillReward

#OniCndtnCTを0に
execute as @a[scores={LeaveGameCT=1..}] run scoreboard players set @s OniCndtnCT 0

#RewardTotalを0にして報酬の最終決済をリセット
#execute as @a[scores={LeaveGameCT=1..}] run scoreboard players set @s RewardTotal 0

#tp
execute as @a[scores={LeaveGameCT=1..}] run tp @s -192 50 167 0 0

#spawnpoint
execute as @a[scores={LeaveGameCT=1..}] run spawnpoint @s -192 50 167


#アドオンアイテムのスコアが1以上あればgiveしたりする
execute if entity @a[tag=!EscOniBecome,scores={hadAO10UP=1..,LeaveGameCT=1..}] run function play_tag:skill/item/addon_game_end/addon10up_game_end
execute if entity @a[tag=!EscOniBecome,scores={hadAO25UP=1..,LeaveGameCT=1..}] run function play_tag:skill/item/addon_game_end/addon25up_game_end
execute if entity @a[tag=!EscOniBecome,scores={hadAO50UP=1..,LeaveGameCT=1..}] run function play_tag:skill/item/addon_game_end/addon50up_game_end
execute if entity @a[tag=!EscOniBecome,scores={hadAO75UP=1..,LeaveGameCT=1..}] run function play_tag:skill/item/addon_game_end/addon75up_game_end
execute if entity @a[tag=!EscOniBecome,scores={hadAO100UP=1..,LeaveGameCT=1..}] run function play_tag:skill/item/addon_game_end/addon100up_game_end

execute if entity @a[tag=!EscOniBecome,scores={hadAOLM=1..,LeaveGameCT=1..}] run function play_tag:skill/item/addon_game_end/addonlastmiracle_game_end
execute if entity @a[tag=!EscOniBecome,scores={hadAOHTS=1..,LeaveGameCT=1..}] run function play_tag:skill/item/addon_game_end/addonhitthestake_game_end
execute if entity @a[tag=!EscOniBecome,scores={hadAOGD=1..,LeaveGameCT=1..}] run function play_tag:skill/item/addon_game_end/addonguarddown_game_end
execute if entity @a[tag=!EscOniBecome,scores={hadAOBD=1..,LeaveGameCT=1..}] run function play_tag:skill/item/addon_game_end/addonbdash_game_end
execute if entity @a[tag=!EscOniBecome,scores={hadAO3TH=1..,LeaveGameCT=1..}] run function play_tag:skill/item/addon_game_end/addon3timehonesty_game_end
execute if entity @a[tag=!EscOniBecome,scores={hadAOTR=1..,LeaveGameCT=1..}] run function play_tag:skill/item/addon_game_end/addontoprevenge_game_end

execute if entity @a[tag=!EscOniBecome,scores={hadAORU+=1..,LeaveGameCT=1..}] run function play_tag:skill/item/addon_game_end/addonrunnerup_plus_game_end
execute if entity @a[tag=!EscOniBecome,scores={hadAOIS+=1..,LeaveGameCT=1..}] run function play_tag:skill/item/addon_game_end/addonindomitablespirit_plus_game_end
execute if entity @a[tag=!EscOniBecome,scores={hadAORL+=1..,LeaveGameCT=1..}] run function play_tag:skill/item/addon_game_end/addonreleaselimiter_plus_game_end
execute if entity @a[tag=!EscOniBecome,scores={hadAOSF+=1..,LeaveGameCT=1..}] run function play_tag:skill/item/addon_game_end/addonstealthfoot_plus_game_end
execute if entity @a[tag=!EscOniBecome,scores={hadAOGL+=1..,LeaveGameCT=1..}] run function play_tag:skill/item/addon_game_end/addongreedlight_plus_game_end
execute if entity @a[tag=!EscOniBecome,scores={hadAOT+=1..,LeaveGameCT=1..}] run function play_tag:skill/item/addon_game_end/addontracker_plus_game_end
execute if entity @a[tag=!EscOniBecome,scores={hadAOHb+=1..,LeaveGameCT=1..}] run function play_tag:skill/item/addon_game_end/addonheartbeat_plus_game_end
execute if entity @a[tag=!EscOniBecome,scores={hadAOHo+=1..,LeaveGameCT=1..}] run function play_tag:skill/item/addon_game_end/addonhideout_plus_game_end

execute if entity @a[tag=!EscOniBecome,scores={hadAOExBY=1..,LeaveGameCT=1..}] run function play_tag:skill/item/addon_game_end/addonbehindyou_game_end
execute if entity @a[tag=!EscOniBecome,scores={hadAOExWh=1..,LeaveGameCT=1..}] run function play_tag:skill/item/addon_game_end/addonwormhole_game_end
execute if entity @a[tag=!EscOniBecome,scores={hadAOExFA=1..,LeaveGameCT=1..}] run function play_tag:skill/item/addon_game_end/addonfearavatar_game_end
execute if entity @a[tag=!EscOniBecome,scores={hadAOExTn=1..,LeaveGameCT=1..}] run function play_tag:skill/item/addon_game_end/addonturn_game_end

#逃走者と鬼時のtag削除
execute as @a[scores={LeaveGameCT=1..},tag=EscOniBecome] run tag @s remove EscOniBecome

#ゲーム参加中というtagを削除
tag @a[scores={LeaveGameCT=1..},tag=JoiningTheGame] remove JoiningTheGame


#クリエイトの人をクリエイティブに
gamemode creative @a[team=Create,scores={LeaveGameCT=1..}]


#ゲーム退室スコアを0にセット
execute as @a[scores={LeaveGameCT=1..}] run scoreboard players set @s LeaveGameCT 0






