#逃走者がタッチされると

#逃走者がダメージを喰らうと鬼チームの１人に逃走者になった時に足跡を出さないようにする為のtagを追加
execute if entity @a[team=Escaper,scores={DmgTknCT=10..}] run tag @a[team=Oni,limit=1,sort=nearest] add TransparentTime_Player

#逃走者がダメージを喰らうと交代する前に「前々回鬼だった」人のTagを削除する
execute if entity @a[team=Escaper,scores={DmgTknCT=10..}] run tag @a[team=Escaper,tag=WasOniBecome] remove WasOniBecome


#逃走者がダメージを喰らうと交代する前に「前回鬼だった」というTagを付与する
execute at @a[team=Escaper,scores={DmgTknCT=10..}] run tag @a[team=Oni,tag=!WasOniBecome,limit=1,sort=nearest] add WasOniBecome

#逃走者がダメージを喰らうと鬼チームの１人を逃走者にする
execute at @a[team=Escaper,scores={DmgTknCT=10..}] run team join Escaper @a[team=Oni,limit=1,sort=nearest]

#死んだらその場所をスポーンポイントに設定
#execute as @a[team=Escaper,scores={DmgTknCT=35..}] at @s run spawnpoint @s ~ ~ ~
#execute as @a[scores={DmgTknCT=35..}] positioned as @s run spawnpoint @s[] ~ ~ ~

#タッチされたら８秒までのカウントのtagを追加
execute as @a[team=Escaper,tag=!OniBecome8CT_Tag,scores={DmgTknCT=10..}] run tag @s add OniBecome8CT_Tag


#出る杭を打つ AddOnHitTheStake
#タッチされこれから鬼になる逃走者が暫定トップで「出る杭を打つ」を持っている逃走者にタッチされたら、OniCndtnCTを増やす
#1rank
execute if entity @a[team=Escaper,tag=WasOniBecome,tag=AddOnHitTheStake] run execute as @a[team=Escaper,scores={DmgTknCT=10..},tag=1rank] run scoreboard players add @s OniCndtnCT 400


#タッチされたら鬼チームに変更
execute as @a[team=Escaper,scores={DmgTknCT=10..}] run team join Oni @s

#タッチされたら悲鳴を他の逃走者に聞かせる
execute at @a[team=Oni,scores={DmgTknCT=10..}] run playsound minecraft:woman_scream3 record @a[team=Escaper] ~ ~ ~ 0.8 1.0 0.8
#タッチされたらブーンを他の逃走者に聞かせる
execute at @a[team=Oni,scores={DmgTknCT=10..}] run playsound minecraft:touch record @a[team=Escaper] ~ ~ ~ 0.6 1.0 0.6



#逃走者のランクソートを行い
#execute if entity @a[team=Oni,scores={DmgTknCT=10..}] run function play_tag:skill/passive/game/oni/escaper_rank_sort




#タッチされたら８秒までカウントする
execute as @a[team=Oni,tag=OniBecome8CT_Tag,scores={OniBecome8CT=..200}] run scoreboard players add @s OniBecome8CT 1

#８秒になるまで盲目
execute as @a[team=Oni,tag=OniBecome8CT_Tag,scores={OniBecome8CT=..180}] run effect give @s minecraft:blindness 2 100 true

#８秒になるまで移動速度低下と
execute as @a[team=Oni,tag=OniBecome8CT_Tag,scores={OniBecome8CT=..180}] run effect give @s minecraft:slowness 2 100 true

#８秒になるまで跳躍上昇100と
execute as @a[team=Oni,tag=OniBecome8CT_Tag,scores={OniBecome8CT=..180}] run effect give @s minecraft:jump_boost 2 100 true

#８秒になるまで弱体化
execute as @a[team=Oni,tag=OniBecome8CT_Tag,scores={OniBecome8CT=..180}] run effect give @s minecraft:weakness 2 100 true

#８秒になるまでMPを0に 背後に注意を使わせない為
#execute as @a[team=Oni,tag=OniBecome8CT_Tag,scores={OniBecome8CT=..160}] run 


#鬼が８秒になったら少し前まで鬼だった逃走者の足跡のtagを削除
execute if entity @a[team=Oni,tag=OniBecome8CT_Tag,scores={OniBecome8CT=199..200}] run tag @a[team=Escaper,tag=TransparentTime_Player,scores={TrnsprntTimer=140}] remove TransparentTime_Player




#油断は禁物 AddOnGuardDown
#タッチされ鬼になった10秒後に20ブロック以上離れている
#且つ直近で鬼になっていなかった逃走者を3秒間発光させる
execute at @a[team=Oni,tag=OniBecome8CT_Tag,tag=AddOnGuardDown,scores={OniBecome8CT=199..}] run effect give @a[team=Escaper,tag=!WasOniBecome,distance=20..] minecraft:glowing 4 5 true


#Bダッシュ AddOnBDash
#タッチされ鬼になった10秒後に4秒間足が速くなる
execute as @a[team=Oni,tag=OniBecome8CT_Tag,tag=AddOnBDash,scores={OniBecome8CT=199..}] run effect give @s minecraft:speed 4 2 true


#トップへのリベンジ AddOnTopRevenge
#タッチしてきたプレイヤーが暫定トップだった場合
#鬼になった10秒後に暫定トップを10秒間発光させる
execute if entity @a[team=Oni,tag=OniBecome8CT_Tag,tag=AddOnTopRevenge,scores={OniBecome8CT=199..}] run execute as @a[team=Escaper,tag=WasOniBecome,tag=1rank] run effect give @s minecraft:glowing 10 5 true



#８秒までいったらtagを削除
execute as @a[team=Oni,tag=OniBecome8CT_Tag,scores={OniBecome8CT=201..}] run tag @s remove OniBecome8CT_Tag

#８秒までいったらスコアをリセット
execute as @a[team=Oni,tag=!OniBecome8CT_Tag,scores={OniBecome8CT=201..}] run scoreboard players set @s OniBecome8CT 0





