#鬼になると
#鬼になったらスコアを与え一度のみ起動させる
scoreboard players add @a[team=Oni,scores={OniBecome=..1}] OniBecome 1

#鬼以外になったらスコアを０に
scoreboard players set @a[team=!Oni,scores={OniBecome=1..}] OniBecome 0


#鬼になったら逃走者になるスコアを0に
scoreboard players set @a[team=Oni,scores={EscBecome=1..}] EscBecome 0

#雪玉をclear
clear @a[team=Oni,scores={OniBecome=1}] minecraft:snowball
#エンパをclear
clear @a[team=Oni,scores={OniBecome=1}] minecraft:ender_pearl
#ニンジン釣り竿をclear
clear @a[team=Oni,scores={OniBecome=1}] minecraft:carrot_on_a_stick
#コンパスをclear
clear @a[team=Oni,scores={OniBecome=1}] minecraft:compass

#MPを100にする オーバーフロー以外の鬼に
#execute as @a[team=Oni,tag=!PsvOverflow,scores={OniBecome=1}] run scoreboard players set @s MP 100
#MP200はオーバーフローを参照


#鬼になったらBGMを流す
playsound minecraft:halloween_theme record @a[team=Oni,scores={OniBecome=1}] ~ ~ ~ 0.5 1.0 0.5

#鬼になったらHPを全回復
effect give @a[team=Oni,scores={OniBecome=1}] minecraft:instant_health 20 20 true

#鬼なったら周辺の逃走者の足跡は消す
execute at @a[team=Oni,scores={OniBecome=1}] run kill @e[type=armor_stand,tag=Footprint,scores={ArmStnd=..200},distance=..3]

#鬼になったら赤いparticleを出す
#execute at @a[team=Oni,scores={OniBecome=1}] run particle dust 1.000 0.000 0.000 4 ~ ~0.5 ~ 2.0 0.2 2.0 1 30 force @a[team=Oni,scores={OniBecome=1}]




#三度目の正直
#三回鬼になる度に足が速くなる
#鬼になる度にスコア+1していく
scoreboard players add @a[team=Oni,scores={OniBecome=1}] 3TimeOniBecome 1

#スコアが3になったら足が速くなる
execute as @a[team=Oni,scores={3TimeOniBecome=3}] run effect give @s minecraft:speed 1 1 true

#スコアが4になったらスコアを1にセット
scoreboard players set @a[team=Oni,scores={3TimeOniBecome=4}] 3TimeOniBecome 1




#逃走者か鬼になったらtagを付けて逃走者か鬼になったかを判定させる
#アドオンアイテムを付けたかどうかの判定に使用
execute as @a[team=Oni,scores={OniBecome=1}] run tag @s add EscOniBecome


#鬼になりました
title @a[team=Oni,scores={OniBecome=1}] times 10 60 10
title @a[team=Oni,scores={OniBecome=1}] title {"text":"鬼になりました","color":"red","bold":true}
#鬼になりました チャット
tellraw @a[team=Oni,scores={OniBecome=1}] {"text":"\u9b3c\u306b\u306a\u308a\u307e\u3057\u305f","bold":true,"color":"red"}

#tagに合わせて雪玉をgive
#スポットライト ActSpotlight
execute as @a[team=Oni,tag=ActSpotlight,scores={OniBecome=1}] run replaceitem entity @s hotbar.0 minecraft:snowball{display:{Name:'{"text":"スポットライト","color":"yellow","bold":true,"italic":false}',Lore:['{"text":"CT: 21秒","color":"blue","bold":true,"italic":false}','{"text":" "}','{"text":"逃走者を数秒間発光させる","color":"gray","italic":false}']}} 1

#打消し ActEffectClear
execute as @a[team=Oni,tag=ActEffectClear,scores={OniBecome=1}] run replaceitem entity @s hotbar.0 minecraft:snowball{display:{Name:'{"text":"打消し","color":"blue","bold":true,"italic":false}',Lore:['{"text":"CT: 24秒","color":"blue","bold":true,"italic":false}','{"text":" "}','{"text":"自身が受けている","color":"gray","italic":false}','{"text":"デバフ効果を全て消す","color":"gray","italic":false}']}} 1


#tagに合わせてエンパをgive
#駿足 ActFastRunner
execute as @a[team=Oni,tag=ActFastRunner,scores={OniBecome=1}] run replaceitem entity @s hotbar.1 minecraft:ender_pearl{display:{Name:'{"text":"駿足","color":"aqua","bold":true,"italic":false}',Lore:['{"text":"CT: 23秒","color":"blue","bold":true,"italic":false}','{"text":" "}','{"text":"数秒間、足が速くなる","color":"gray","italic":false}']}} 1

#空腹 ActHunger
execute as @a[team=Oni,tag=ActHunger,scores={OniBecome=1}] run replaceitem entity @s hotbar.1 minecraft:ender_pearl{display:{Name:'{"text":"空腹","color":"dark_purple","bold":true,"italic":false}',Lore:['{"text":"CT: 21秒","color":"blue","bold":true,"italic":false}','{"text":" "}','{"text":"逃走者を数秒間","color":"gray","italic":false}','{"text":"空腹にさせる","color":"gray","italic":false}']}} 1


#tagに合わせてニンジン釣り竿をgive
#咆哮 ActRoar
execute as @a[team=Oni,tag=ActRoar,scores={OniBecome=1}] run replaceitem entity @s hotbar.2 minecraft:carrot_on_a_stick{display:{Name:'{"text":"咆哮","color":"dark_red","bold":true,"italic":false}',Lore:['{"text":"CT: 20秒","color":"blue","bold":true,"italic":false}','{"text":" "}','{"text":"範囲内の逃走者を","color":"gray","italic":false}','{"text":"数秒間移動速度低下に","color":"gray","italic":false}','{"text":"させる","color":"gray","italic":false}']},HideFlags:4,Unbreakable:1b} 1

#悪魔の笑い ActDevilLaugh
execute as @a[team=Oni,tag=ActDevilLaugh,scores={OniBecome=1}] run replaceitem entity @s hotbar.2 minecraft:carrot_on_a_stick{display:{Name:'{"text":"悪魔の笑い","color":"dark_gray","bold":true,"italic":false}',Lore:['{"text":"CT: 18秒","color":"blue","bold":true,"italic":false}','{"text":" "}','{"text":"範囲外の逃走者を","color":"gray","italic":false}','{"text":"数秒間移動不可にし","color":"gray","italic":false}','{"text":"発光させる","color":"gray","italic":false}','{"text":"さらに範囲外の人数が","color":"gray","italic":false}','{"text":"鬼に知らされる","color":"gray","italic":false}']},HideFlags:4,Unbreakable:1b} 1

#視界ジャック ActVisibilityJack
execute as @a[team=Oni,tag=ActVisibilityJack,scores={OniBecome=1}] run replaceitem entity @s hotbar.2 minecraft:carrot_on_a_stick{display:{Name:'{"text":"視界ジャック","color":"gold","bold":true,"italic":false}',Lore:['{"text":"CT: 30秒","color":"blue","bold":true,"italic":false}','{"text":" "}','{"text":"逃走者の視界を","color":"gray","italic":false}','{"text":"数秒間乗っとる","color":"gray","italic":false}']},HideFlags:4,Unbreakable:1b} 1




